module MailHandler
  # Custom logger that handles loging through STOUT
  # or to a specified logfile
  module Logger
    # Setup and config the Logger
    class << self
      def setup(config)
        if config
          @logfile = File.open(config[:log_file], 'a') if config[:log_file]
        end
      end

      def success(args)
        log "SUCCESS: #{args[:subject]}"
      end

      def error(args)
        str = "\n"
        str << "ERROR: #{args[:error_type]}\n--\n" if args[:error_type]
        str << "Error code: #{args[:error_code]}\n--\n" if args[:error_code]
        str << "Subject: #{args[:subject]}\n--\n" if args[:subject]
        str << "Trace: #{args[:trace]}\n--\n" if args[:trace]
        str << "==\n"
        log str
      end

      def log(string)
        @logfile ? @logfile.puts(string) : puts(string)
      end
    end
  end
end
