require 'meta/version'

# Strings used by the console executable
# gathered in one place for less clutter
module ConsoleStrings
  HELP = 'Usage: mail-handler [-v] [-h] [<args>]

    -v, --version                    Print the version and exit.
    -h, --help                       Print this help.

    If no flags are specified <args> should be one of the following:

    create-config                    Generates a config boilerplate
                                     in current folder.

    run [config-file]                Run the handler, suplement path
                                     to the config file.

    '
  WELCOME = 'Welcome to the Videofy email handeler!

  One instance of the mail-handler will poll AWS SQS for messages
  and then forward them to AWS SES.

  Append -h flag for usage information.

  '
  VERSION = "Version : #{MailHandler::VERSION}"

  UNRECOGNIZED = 'Did not understand argument: "%s"
  Run me with -h to see what you can do.
  '

  STARTING = '
  Handler is starting...
  '

  STARTED = 'Started
  '

  BAD_CONFIG = 'Something went wrong when parsing the config provided.
  Make sure the config is valid YAML.

  Run with --help for more information
  '

  NO_SUCH_QUEUE= ' One or more queues in your config could not be found.
  '

  MISSING_CONFIG = HELP

  CONFIG_COPY_COMPLETE = '
  mailer_config.yml generated in current folder.
  '
  BAD_AWS_CREDENTIALS = '
  Could not connect to AWS, please ensure that your credentials are valid.
  '
end
