module MailHandler
  module Models
    # PORO for mutating email information
    class Email
      attr_reader :from, :to, :cc, :bcc, :subject, :html,
                  :text, :reply_to, :bounce_to

      def initialize(email_hash = {})
        @from = email_hash[:from]

        @to  = email_hash[:to]
        @cc  = email_hash[:cc]
        @bcc = email_hash[:bcc]

        @subject = email_hash[:subject]
        @text    = email_hash[:text]
        @html    = email_hash[:html]

        @reply_to  = email_hash[:reply_to]
        @bounce_to = email_hash[:bounce_to]
      end

      def to_h
        { from: from,
          to: to,
          cc: cc,
          bcc: bcc,
          subject: subject,
          html_body: html,
          text_body: text,
          return_path: bounce_to,
          reply: reply_to }.delete_if { |_, v| v.nil? }
      end

      def to_s
        {
          from: from,
          to: to,
          subject: subject
        }.to_s
      end
    end
  end
end
