module MailHandler
  # Generic threaded worker
  class ThreadedWorker
    WORKER_SIZE = 10

    def initialize(task_list)
      @tasks = Queue.new
      populate_que task_list
    end

    def do_work
      WORKER_SIZE.times do
        Thread.new do
          while (task = @tasks.pop)
            yield task
          end
        end
      end
    end

    def done?
      @tasks.size.zero?
    end

    private

    def populate_que(task_list)
      task_list.each { |task| @tasks << task }
    end
  end
end
